------------------------------
-- ADD CONSTRAINTS/INDEXES

ALTER TABLE MEMBER ADD CONSTRAINT IDX_MEMBER_ID PRIMARY KEY (MEMBER_ID) ;
ALTER TABLE DIVISION ADD CONSTRAINT IDX_DIVISION_ID PRIMARY KEY (DIVISION_ID) ;

ALTER TABLE MEMBER ADD CONSTRAINT CHECK_JOB
	CHECK (JOB IN ('ANALYST','CLERK','DESIGNER','FIELDREP','OPERATOR','PRES','SALESREP','MANAGER'))
;

ALTER TABLE MEMBER ADD CONSTRAINT CHECK_AGE CHECK (AGE >= 0 AND AGE < 130);
ALTER TABLE MEMBER ADD CONSTRAINT CHECK_SALARY CHECK (SALARY >=0) ;

ALTER TABLE MEMBER ADD CONSTRAINT FK_MEMBER_DIVISION
	FOREIGN KEY (DIVISION_ID) REFERENCES DIVISION(DIVISION_ID) ;

CREATE INDEX IDX_JOB ON MEMBER(JOB) ;
CREATE INDEX IDX_AGE ON MEMBER(AGE) ;